/*
 * Copyright (c) 2018, NXP Semiconductors, Inc.
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
!!GlobalInfo
product: Pins v4.1
processor: LPC804
package_id: LPC804M101JDH24
mcu_data: ksdk2_0
processor_version: 0.0.0
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

#include "fsl_common.h"
#include "pin_mux.h"
#include "fsl_swm.h"
#include "fsl_clock.h"

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitBootPins
 * Description   : Calls initialization functions.
 *
 * END ****************************************************************************************************************/
void BOARD_InitBootPins(void)
{
    BOARD_InitPins();
}

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitPins:
- options: {callFromInitBoot: 'true', coreID: core0, enableClock: 'true'}
- pin_list: []
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitPins
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
/* Function assigned for the Cortex-M0P */
void BOARD_InitPins(void) {
	CLOCK_EnableClock(kCLOCK_Gpio0);
	GPIO->DIR[0] = ((GPIO->DIR[0] &
	                     /* Mask bits to zero which are setting */
	                     (~(GPIO_DIR_DIRP_MASK)))

	                    /* Selects pin direction for pin PIOm_n (bit 0 = PIOn_0, bit 1 = PIOn_1, etc.). Supported pins
	                     * depends on the specific device and package. 0 = input. 1 = output.: 0x2000u */
	                    | GPIO_DIR_DIRP(0x2000u));

	/* Enables clock for switch matrix.: enable */
	CLOCK_EnableClock(kCLOCK_Swm);

#ifdef TARGET_DEVKIT
	SWM_SetMovablePinSelect(SWM0, kSWM_I2C0_SDA, 7U);
	SWM_SetMovablePinSelect(SWM0, kSWM_I2C0_SCL, 14U);
#else
	SWM_SetMovablePinSelect(SWM0, kSWM_I2C0_SDA, 28U);
	SWM_SetMovablePinSelect(SWM0, kSWM_I2C0_SCL, 29U);
#endif

	CLOCK_DisableClock(kCLOCK_Swm);
}
/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
